Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.midi
Class SharedMidiObject.MidiReceiver

    java.lang.Object
      org.red5.server.midi.SharedMidiObject.MidiReceiver

All Implemented Interfaces:
  Receiver

Enclosing class:
  SharedMidiObject

    public class SharedMidiObject.MidiReceiver

extends Object
implements Receiver

Constructor Summary
`SharedMidiObject.MidiReceiver()`

Method Summary
`void` | `close()`
`void` | `send(MidiMessage midi, long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedMidiObject.MidiReceiver

    public SharedMidiObject.MidiReceiver()

Method Detail

### send

    public void send(MidiMessage midi,
                     long time)

  Specified by:
    `send` in interface `Receiver`

### close

    public void close()

  Specified by:
    `close` in interface `Receiver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project